It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Hi everyone,

We have the latest version of ROTT 2013 live and ready to be downloaded. Unfortunately, due to the size of what's been added, changed, and fixed, we can't offer a patch so there's a brand-new installer waiting for you in your accounts :)

The changelog is a bit large so I'll post the original link instead :)

Sauce: http://www.interceptor-entertainment.com/forum/viewtopic.php?f=136&t=3230&p=20066

Thanks for your patience and happy fragging :)
Post edited September 16, 2013 by JudasIscariot
avatar
ShadowWulfe: Doesn't invalidate saves and whatnot right?
I am not sure myself but I would make back ups of the saves you have as is the case anytime you have a major overhaul like this :)
avatar
Crosmando: I'm not sure if it's just me, but with this new installer, when you click the "Advanced Options" button on the RoTT launcher, it crashes. Tried reinstalling and got the same problem. I can change resolution/fov from the main game, but it seems like one can only change other graphics settings from the launcher.
edit: nevermind LOL
Post edited September 16, 2013 by JudasIscariot
avatar
Th3R3n3gad3: When are we getting the 1.1.2 patch?
As soon as we get it :)
avatar
vivalanwo: I haven't updated to 1.1.1, yet. Are you guys expecting 1.1.2 to be a whole new installer as well or should I update to 1.1.1 now?
I am not sure what to expect. It depends on how much is changed :)
avatar
nijuu: Odd question
I downloaded the game pretty much on release and as such havent downloaded any updated installers since then. Will i have to download the new installer & the just released universal installer?. Or just the installer?.
Just the Universal Update :)
avatar
JudasIscariot: Just the Universal Update :)
avatar
nijuu: Setup 2.0.0.3 installed. Tried 2.1.1.7 Patch

" This patch does not support your version of the game. Please download a new installer"

Game is installed I:\ \GOG\The Rise of the Triad
Hey nijuu,

Apparently, we didn't expect anyone to still have the old, old installer (version 2.0.0.3) so we didn't take it into account when making the patch. If you want, you can download the installer (version 2.1.0.6), I'll pass on the message to our techs for the next patch to take into account the old installer version, if it's technically possible. It's the best I can do atm.
avatar
JudasIscariot: Hey nijuu,

Apparently, we didn't expect anyone to still have the old, old installer (version 2.0.0.3) so we didn't take it into account when making the patch. If you want, you can download the installer (version 2.1.0.6), I'll pass on the message to our techs for the next patch to take into account the old installer version, if it's technically possible. It's the best I can do atm.
avatar
nijuu: Hahaha thats when i mean i had it from launch and never updated. Its cool.Thanks anyway ill download the latest one :)
I hope it's not too much of a PITA :/